explain_select_or_die(3)

NAME
explain_select_or_die - blah blah and report errors
    "blah blah and report errors"

SYNOPSIS
#include <libexplain/select.h>

void explain_select_or_die(int nfds, fd_set *readfds, fd_set *writefds, fd_set *exceptfds, struct timeval *timeout);

DESCRIPTION
The explain_select_or_die function is used to call the select(2) system call. On failure an explanation will be printed to stderr, obtained from explain_select(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_select_or_die(nfds, readfds, writefds, exceptfds, timeout);

nfds
    The nfds, exactly as to be passed to the select(2) system call.

readfds
    The readfds, exactly as to be passed to the select(2) system call.

writefds
    The writefds, exactly as to be passed to the select(2) system call.

exceptfds
    The exceptfds, exactly as to be passed to the select(2) system call.

timeout
    The timeout, exactly as to be passed to the select(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

select(2)
    blah blah

explain_select(3)
    explain select(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2008 Peter Miller